> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mobile Money Customers

> An integrator can use this endpoint to get all the customers who will be either receiving or sending money using mobile money.

An integrator can use this endpoint to get all the customers who will be either receiving or sending money using mobile money.


## OpenAPI

````yaml GET /api/v3/customer/mobile-money
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/customer/mobile-money:
    get:
      tags:
        - CUSTOMER - MOBILE MONEY
      summary: Get all mobile money customers
      description: >-
        An integrator can use this endpoint to get all the customers who will be
        either receiving or sending money using mobile money.
      operationId: MobileMoneyCustomerController_getUserCustomers_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Customers successfully retrieved.
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MobileMoneyCustomerDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Forbidden
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    MobileMoneyCustomerDto:
      type: object
      properties:
        id:
          type: string
        phone_number:
          type: string
        country_code:
          type: string
          example: 'GH, KE, NG (or ISO-3: GHA, KEN, NGA)'
          description: Country code in ISO-2 format (accepts ISO-3 and auto-converts)
        network:
          type: string
          enum:
            - MTN
            - AIRTEL
            - VODAFONE
            - TIGO
            - ORANGE
            - NOT_SUPPORTED
            - ZAMTEL
            - MPESA
            - CHECKOUT
            - BKTRX
            - CRDTRX
            - MOOV
            - TMONEY
            - FREE
            - EXPRESSO
            - HALOPESA
            - VODACOM
            - WAVE
          example: MPESA or MTN or AIRTEL or VODAFONE
        customer_key:
          type: string
        account_name:
          type: string
        integrator:
          type: string
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        date_of_birth:
          type: string
          example: '1990-01-01'
        id_number:
          type: string
          example: '123456789'
        id_type:
          type: string
          enum:
            - NATIONAL_ID
            - ECOWAS_ID
        image:
          type: string
        email:
          type: string
          example: john.doe@example.com
      required:
        - phone_number
        - country_code
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````